/**
 * @file
 * Vue app for small cart.
 */

(function () {
  "use strict";

  Vue.component("cart-small", {
    data() {
      return {
        ready: false,
      };
    },
    computed: {
      cart() {
        return this.$store.state.cart;
      },
    },
    methods: {
      initCart() {
        axios.get("/api/cart-load").then(
          (response) => {
            this.ready = true;
            this.$store.commit("updateCart", response.data);
          }
        );
      },
    },
    created() {
      setTimeout(() => {

        this.initCart();
      }, 10);
    },
  });


})();
