/**
 * @file
 * Vue app for checkout.
 */

(function ($) {
  "use strict";

  $(document).ready(function () {
    phoneInputMask();
  });

  function phoneInputMask() {
    const lang = drupalSettings.path.currentLanguage;
    if (lang == "ru") {
      $(".field--name-field-customer-phone input")
      .inputmask("+7 (999) 999-99-99", {
        "clearIncomplete": true,
        "showMaskOnHover": false,
      });
    } else {
      $(".field--name-field-customer-phone input")
      .inputmask("+9 (999) 999-99-99", {
        "clearIncomplete": true,
        "showMaskOnHover": false,
      });
    }
  }

  if (typeof Drupal === "object") {
    Drupal.behaviors.syncart = {
      attach: function (context) {
        if (typeof vm === "object") {
          let action = $(context).attr("action");
          if (action && action.length > 1) {
            if (action.substring(0, 10) == "/checkout/") {
              vm = null;
              vm = vueApp();
              phoneInputMask();
            }
          }
        }
      },
    };
  }
})(this.jQuery);
