/**
 * @file
 * Vue app for small favorites.
 */

(function () {
  "use strict";

  Vue.component("favorite-small", {
    data() {
      return {
        ready: false,
      };
    },
    computed: {
      total() {
        return this.$store.state.favorite.total;
      },
    },
    methods: {
      initFavorite() {
        var favorites = this.$cookies.get("favorites");
        if (typeof favorites !== "object" || favorites == null) {
          favorites = {};
        }
        let total = Object.keys(favorites).length;
        this.$store.commit("updateFavorite", { total });
        this.ready = true;
      },
    },
    created() {
      setTimeout(() => {
        this.initFavorite();
      }, 10);
    },
  });


})();
