<?php

namespace Drupal\syncart\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;
use Drupal\syncart\Service\SynRenderServiceInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Cart JSON-DATA: only load cart info.
 */
class CartApiController extends ControllerBase {

  /**
   * Constructs a new CartController object.
   *
   * @param \Drupal\syncart\Service\SynRenderServiceInterface $syncart_renderer
   *   Syncart Renderer.
   */
  public function __construct(
    SynRenderServiceInterface $syncart_renderer
  ) {
    $this->renderer = $syncart_renderer;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('syncart.render')
    );
  }

  /**
   * Cart.
   */
  public function cart() {
    return [
      '#theme' => 'syncart-cart',
      '#data' => [
        'cart' => $this->renderer->render(),
      ],
      '#cache' => [
        'max-age' => 0,
      ],
    ];
  }

  /**
   * Получение текущей корзины.
   */
  public function loadCart($cid = FALSE) {
    return new JsonResponse($this->renderer->render($cid));
  }

}
