<?php

namespace Drupal\syncart\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\commerce_checkout_link\CheckoutLinkManager;
use Drupal\commerce_order\Entity\OrderInterface;

/**
 * Checkout link Controller.
 */
class CheckoutLinkController extends ControllerBase {

  /**
   * Page with checkout link.
   */
  public function page(OrderInterface $commerce_order) {
    /** @var \Drupal\Core\Url $checkoutUrl */
    $checkoutUrl = CheckoutLinkManager::generateUrl($commerce_order);
    return [
      'checkout_link' => [
        '#markup' => $checkoutUrl
          ->setAbsolute()
          ->toString(),
      ],
    ];
  }

}
