<?php

namespace Drupal\syncart\Hook;

/**
 * @file
 * Contains \Drupal\syncart\Hook\OrderPresave.
 */

/**
 * Hook order Presave.
 */
class OrderPresave {

  /**
   * Hook.
   */
  public static function hook($entity) {
    if (self::checkType($entity)) {
      $default_mail = "guest@localhost";
      if (!$entity->mail->value || $entity->mail->value == $default_mail) {
        $profile = $entity->billing_profile->entity;
        if (is_object($profile)) {
          $mail = trim($profile->field_customer_email->value) ?: $default_mail;
          $entity->mail->setValue($mail);
        }
      }
    }
  }

  /**
   * Check Entity Type Id.
   */
  public static function checkType($entity) {
    $result = FALSE;
    if (method_exists($entity, 'bundle')) {
      if ($entity->bundle() == 'default') {
        $result = TRUE;
      }
    }
    return $result;
  }

}
