<?php

namespace Drupal\syncart\Service;

/**
 * Interface for SynCartServiceInterface.
 */
interface SynCartServiceInterface {

  /**
   * Загрузка текущей корзины пользователя.
   *
   * @return object
   *   Объект корзины.
   */
  public function load();

  /**
   * Добавить вариацию в корзину.
   *
   * @var $vid
   *   Id вариации.
   *
   * @var $quantity
   *   Кол-во добавляемых в корзину товаров.
   */
  public function addItem($vid, $quantity = 1);

  /**
   * Добавить вариацию в корзину.
   *
   * @var $orderItemId
   *   Id вариации.
   */
  public function removeOrderItem($orderItemId);

  /**
   * Отправляем чек клиенту на почтку.
   *
   * @var \Drupal\commerce_order\Entity\Order $order
   *   Order.
   */
  public function sendReceipt($order);

  /**
   * Обновить количество товара в корзине.
   */
  public function setOrderItemQuantity($orderItemId, $quantity = 1);

  /**
   * Повторить заказ.
   */
  public function addOrderItem($commerce_order);

  /**
   * Проверка наличия товаров в корзине.
   *
   * @return bool
   *   Пуста ли корзина
   */
  public function isEmpty();

}
